bulk items
List bulk items
Returns a paginated list of bulk items.
Used to search and narrow results. A query consists of multiple "clauses" joined by " AND ". "OR" and grouping is not currently supported.
Clauses are made up of {field}{operator}{value}.
{field} must be either "search" when generally searching, or a property from the response body. Use dot notation when the property is nested. When response bodies are paginated, this will be a property from the nested items.
{operator} must be one of:
- '~' for partial, case insensitive matches
- ':' for exact, case insensitive matches
- '>', '<', >=', '<=' for greater than, less than, gte, lte, respectively
{value} supports:
- string: strings must be double quoted ( e.g. name:"john" ). Nested quotes can be escaped ( e.g. name:"John"" ). Supports ~ and : operators.
- number: numbers can be decimals or integers, and support >, <, :, >=, <= operators.
- boolean: use true or false without quotes. supports : operator only. e.g. isActive:true
- null: use null without quotes to assert existence. supports : operator only. e.g. endDate:null
- array: use square brackets to search for multiple values. Values must all be the same type. e.g. name:["john", "jill"]
Negate a clause with a leading - character. e.g. -age:20 would find all records where age is not 20.
This endpoint supports the following fields:
- name — Product name
- model — Model
- manufacturer — Manufacturer
- quantity — Quantity
- minQuantity — Minimum Quantity
- maxQuantity — Maximum Quantity
- restockQuantity — Restock Quantity
- fields.{customFieldId} — a custom field value
- search — a free text match across the record
Example:
name~"Test" AND model~"Test"Response
application/json
Paginated list of bulk items
More in bulk items
GETGet a bulk itemPATCHUpdate a bulk itemStill need help? Ask the team